/*
** INSTALL.CMD
**
** REXX installation program. The default subdirectory to install into is
** c:\calc
**
** If that's not suitable change all occurrances of c:\calc to what you
** would like it to be.
*/
OS2:
   /* Make a subdirectory for KATCalc */
   address CMD "MD c:\calc"
   /* Copy all of the KATCalc files into it */
   address CMD "XCOPY *.* c:\calc"
   /* Make the drive and subdirectory current */
   address CMD "c:"
   address CMD "cd calc"
   /* Make a list of all the program files for the below routine */
   address CMD "FOR %%n IN (k*.pgm) DO echo %%n >> kfiles.lst"

Begin:
   filename = "kfiles.lst"
   do until lines( filename) = 0
      name = linein( filename)
      fn = substr( name, 1, 8)
      ea = fn
      /* Rejoin the KATCalc program files with their extended attributes */
      cmdstr = "EAUTIL "fn".PGM "ea".EA /J"
      address CMD cmdstr
   end
   address CMD "del *.ea"
   address CMD "del kfiles.lst"
exit

